namespace Geekeey.Common.Results;

/// <summary>
/// An error which represents an invalid operation.
/// </summary>
/// <param name="message">An optional message describing the operation and why it is invalid.</param>
public sealed class InvalidOperationError(string? message = null) : Error
{
	/// <inheritdoc/>
	public override string Message => message ?? "Invalid operation.";
}